package contexter

// |@@| C

import "context"

type Contexter struct {
}

func (this *Contexter) MayGetUid(ctx context.Context) string {
	value := ctx.Value("uid")
	if value == nil {
		return ""
	}
	return value.(string)
}

func (this *Contexter) MayGetIdentityUid(ctx context.Context) string {
	value := ctx.Value("identity_uid")
	if value == nil {
		return ""
	}
	return value.(string)
}
